{"openapi":"3.0.0","info":{"version":"v1.0.485-alpha","title":"Spine Directory Service API","description":"## Overview\nUse this API to access details of systems registered in the [Spine Directory Service (SDS)](https://digital.nhs.uk/services/spine-directory-service).\n\nYou can:\n- get accredited system details\n\nYou cannot currently use this API to:\n- search for organisations\n- search for people\n\n### Accredited system records \nEvery system that connects to the Spine has one or more \"Accredited System\" (AS) records in SDS, identified by an Accredited System Identifier (ASID). \nThis ASID is unique to a system deployed in a specific organisation, so the same application deployed into three NHS organisations would typically be represented as three unique ASIDs. \n\n### MHS records and endpoints \nEvery GP Connect system also has one or more \"MHS\" records (or message handling server record), identified by Party Key and [Interaction ID](https://developer.nhs.uk/apis/gpconnect-0-7-2/integration_interaction_ids.html). \nMHS records of GP Connect provider systems contain the endpoint of the target practice, as defined by the [FHIR service root URL](https://developer.nhs.uk/apis/gpconnect-0-7-2/development_fhir_api_guidance.html#service-root-url). \nPlease see [System topologies](https://developer.nhs.uk/apis/gpconnect-0-7-2/integration_system_topologies.html) for more details on the allocation of ASIDs and Party Keys. \n\n- For all intermediary messaging endpoint lookups, this API returns the Spine MHS endpoint address.\n\n## Who can use this API\nThis API can only be used where there is a legal basis to do so. Make sure you have a valid use case before you go too far with your development.\n\nYou must do this before you can go live (see \"Onboarding\" below). \n\n## API status and roadmap\nThis API is [in production, beta](https://digital.nhs.uk/developer/guides-and-documentation/reference-guide#statuses).\n\nTo see our roadmap, or to suggest, comment or vote on features for this API, see our [interactive product backlog](https://nhs-digital-api-management.featureupvote.com/?order=popular&filter=all&tag=sds-fhir-api).\n\nIf you  have any other queries, [contact us](https://digital.nhs.uk/developer/help-and-support).\n\n## Service level\nThis API is a bronze service during private beta, meaning it is operational and supported only during business hours (8am to 6pm), Monday to Friday excluding bank holidays.\n(The planned production service level will be platinum.)\n\nFor more details, see [service levels](https://digital.nhs.uk/developer/guides-and-documentation/reference-guide#service-levels).\n\n## Technology \nThis API is [RESTful](https://digital.nhs.uk/developer/guides-and-documentation/our-api-technologies#basic-rest).\n\nIt conforms to the [FHIR](https://digital.nhs.uk/developer/guides-and-documentation/our-api-technologies#fhir) global standard for health care data exchange, specifically to [FHIR R4 (v4.0.1)](https://hl7.org/fhir/r4/), except that it does not support the [capabilities](http://hl7.org/fhir/R4/http.html#capabilities) interaction.\n\nIt includes some country-specific FHIR extensions, which conform to [FHIR UK Core](https://digital.nhs.uk/services/fhir-uk-core), specifically [fhir.r4.ukcore.stu1 0.5.1](https://simplifier.net/packages/fhir.r4.ukcore.stu1/0.5.1).\n\nYou do not need to know much about FHIR to use this API - FHIR APIs are just RESTful APIs that follow specific rules. In particular:\n- resource names are capitalised and singular, for example `/Endpoint` not `/endpoints`\n\nErrors handling in this API follows [NHS guidelines](https://nhsconnect.github.io/FHIR-SpineCore/resources_error_handling.html) and produces an [OperationOutcome](https://fhir.nhs.uk/STU3/StructureDefinition/Spine-OperationOutcome-1) FHIR resource response with appropriate HTTP code\n\n## Network access\nThis API is available on the internet and, indirectly, on the [Health and Social Care Network (HSCN).](https://digital.nhs.uk/services/health-and-social-care-network)\n\nFor more details see [Network access for APIs](https://digital.nhs.uk/developer/guides-and-documentation/network-access-for-apis).\n\n## Security and authorisation \nThis API is [application-restricted](https://digital.nhs.uk/developer/guides-and-documentation/security-and-authorisation#application-restricted-apis), meaning we authenticate the calling application but not the end user.\n\nTo use this API, use the following security pattern:\n\n* [Application-restricted RESTful APIs - API key authentication](https://digital.nhs.uk/developer/guides-and-documentation/security-and-authorisation/application-restricted-restful-apis-api-key-authentication)\n\n## Environments and testing \n| Environment       | Base URL                                                       \n| ----------------- | ---------------------------------------------------------------------|\n| Sandbox           | `https://sandbox.api.service.nhs.uk/spine-directory/FHIR/R4`         |\n| Integration test  | `https://int.api.service.nhs.uk/spine-directory/FHIR/R4`             |\n| Deployment / UAT  | `https://dep.api.service.nhs.uk/spine-directory/FHIR/R4`             |\n| Production        | `https://api.service.nhs.uk/spine-directory/FHIR/R4`                 |\n\n### Sandbox testing\nOur [sandbox environment](https://digital.nhs.uk/developer/guides-and-documentation/testing#sandbox-testing):\n* is for early developer testing\n* only covers a limited set of scenarios\n* is open-access, so does not allow you to test authorisation\n\nFor more details on sandbox testing, or to try out the sandbox using our \\\"Try this API\\\" feature, see the documentation for each endpoint.\n\n### Integration testing \nOur [integration test environment](https://digital.nhs.uk/developer/guides-and-documentation/testing#integration-testing): \n- is for formal integration testing.\n- includes application authentication\n\nThis API does not have a standard test data pack as it will be dependant on the service you are trying to access, for more details see [Spine Services and Interaction IDs](https://nhsconnect.github.io/FHIR-SpineCore/security_interaction_ids.html) and [integration testing with our RESTful APIs](https://digital.nhs.uk/developer/guides-and-documentation/testing#integration-testing-with-our-restful-apis).\n\n### Deployment and user acceptance testing\nOur deployment environment is for testing applications in-situ before live deployments and also for user acceptance testing (UAT) with NHS organisations.\n\nThis environment is for use by developers who are using the SDS FHIR API alongside some of our older APIs where the deployment environment is already in use,\nfor example, developers who have migrated from the [Query Accredited System Information API](https://digital.nhs.uk/developer/api-catalogue/query-accredited-system-information-soap).\n\n## Related APIs\nThe following APIs are related to this one:\n- [Spine Directory Service - LDAP API](https://digital.nhs.uk/developer/api-catalogue/spine-directory-service-ldap) - Access details of organisations, people and systems registered in the Spine Directory Service (SDS) using our LDAP API.\n\n## Onboarding\nYou need to get your software approved by us before it can go live with this API. We call this onboarding. The onboarding process can sometimes be quite long, so it's worth planning well ahead.\n\nThere is no separate onboarding process for the SDS FHIR API. Onboarding will be dictated by the current processes of the API that consumes the SDS FHIR API, for example GP Connect.\nOnce approval has been granted to use the API that utilises the SDS FHIR API then production access can be granted. To request production access, contact <ssd.nationalservicedesk@nhs.net>.\n\n## Errors\nWe use standard HTTP status codes to show whether an API request succeeded or not. They are usually in the range:\n\n* 200 to 299 if it succeeded, including code 202 if it was accepted by an API that needs to wait for further action\n* 400 to 499 if it failed because of a client error by your application\n* 500 to 599 if it failed because of an error on our server\n\nErrors specific to each API are shown in the Endpoints section, under Response. See our [reference guide](https://digital.nhs.uk/developer/guides-and-documentation/reference-guide#http-status-codes) for more on errors.\n","contact":{"name":"Spine Directory Service API Support","url":"https://digital.nhs.uk/developer/help-and-support","email":"api.management@nhs.net"}},"servers":[{"url":"https://sandbox.api.service.nhs.uk/spine-directory/FHIR/R4","description":"Sandbox environment"}],"paths":{"/Device":{"get":{"summary":"Get accredited system details","operationId":"getDevice","description":"# Overview\nUse this endpoint to get accredited systems information in SDS.\n\nThis endpoint should return all matching accredited system objects which provides the following information:\n  * Accredited System Identifier\n  * Manufacturing Organisation Code\n  * Client Code\n  * Party Key\n  * Service-Interactions\n\nTo get the information, you must supply:\n  * organisation code\n  * service identifier\n\nand may supply:\n  * manufacturing organization identifier\n  * party key\n","parameters":[{"in":"query","name":"organization","description":"The organisation code for the NHS Spine instance that your Message Handling System is communicating with. Must be preceded with FHIR identifier.","required":true,"schema":{"type":"string"},"example":"https://fhir.nhs.uk/Id/ods-organization-code|YES"},{"in":"query","name":"identifier","description":"The service that is being contacted and the action that is required. Additionally optional MHS party key as a second occurrence of this parameter. Both must be preceded with FHIR identifier. See the Data section in this API Specification document for more information.","required":true,"examples":{"nhsServiceInteractionId":{"summary":"Service identifier consisting of https://fhir.nhs.uk/Id/nhsServiceInteractionId only","value":["https://fhir.nhs.uk/Id/nhsServiceInteractionId|urn:nhs:names:services:psis:REPC_IN150016UK05"]},"nhsServiceInteractionIdAndMhsPartyKey":{"summary":"Service identifier consisting of both https://fhir.nhs.uk/Id/nhsServiceInteractionId and https://fhir.nhs.uk/Id/nhsMhsPartyKey","value":["https://fhir.nhs.uk/Id/nhsServiceInteractionId|urn:nhs:names:services:psis:REPC_IN150016UK05","https://fhir.nhs.uk/Id/nhsMhsPartyKey|YES-0000806"]}},"schema":{"type":"array","items":{"type":"string"}},"explode":true},{"in":"query","name":"manufacturing-organization","description":"Manufacturing organisation ODS code. Must be preceded with FHIR identifier.","required":false,"schema":{"type":"string"},"example":"https://fhir.nhs.uk/Id/ods-organization-code|YES"},{"in":"header","name":"X-Correlation-Id","description":"UUID for request tracking","schema":{"type":"string","format":"uuid"},"required":false,"example":"6d3d3674-7ce5-11ec-90d6-0242ac120003"},{"in":"header","name":"apikey","description":"API key to authenticate with. Use any value for Sandbox environment.","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Valid request that returns all accredited systems found that match the search criteria (which may be 0).","content":{"application/fhir+json":{"schema":{"type":"object","properties":{"resourceType":{"type":"string","default":"Bundle"},"id":{"type":"string","description":"Unique identifier for this search request.","format":"uuid"},"type":{"type":"string","default":"searchset"},"total":{"type":"integer"},"link":{"type":"array","items":{"type":"object","properties":{"relation":{"type":"string","default":"self"},"url":{"type":"string","description":"The full url that produced the data"}}}},"entry":{"type":"array","items":{"type":"object","properties":{"fullUrl":{"type":"string","description":"Full url of the resource"},"resource":{"type":"object","description":"A FHIR Device resource information for the accredited system","properties":{"resourceType":{"type":"string","default":"Device"},"id":{"type":"string","description":"SDS’s unique identifier for this accredited system record.","format":"uuid","example":"F0F0E921-92CA-4A88-A550-2DBB36F703AF"},"identifier":{"type":"array","description":"Identifies this device across multiple systems","items":{"type":"object","properties":{"system":{"type":"string"},"value":{"type":"string"}}}},"extension":{"type":"array","description":"Additional content defined by implementations","items":{"type":"object","properties":{"url":{"type":"string"},"valueReference":{"type":"object","properties":{"identifier":{"type":"object","properties":{"system":{"type":"string"},"value":{"type":"string"}}}}}}}},"owner":{"type":"object","description":"Manufacturer's organisation details","properties":{"identifier":{"type":"object","properties":{"system":{"type":"string"},"value":{"type":"string"}}},"display":{"type":"string"}}}}},"search":{"type":"object","description":"Search operation description","properties":{"mode":{"type":"string","default":"match"}}}}}}}},"example":{"resourceType":"Bundle","id":"9A05D8C6-587D-4CD7-B360-C5560961C01F","type":"searchset","total":1,"link":[{"relation":"self","url":"https://int.api.service.nhs.uk/spine-directory/FHIR/R4/Device?organization=https://fhir.nhs.uk/Id/ods-organization-code|A20047&identifier=https://fhir.nhs.uk/Id/nhsServiceInteractionId|urn:nhs:names:services:gpconnect:fhir:rest:search:patient&identifier=https://fhir.nhs.uk/Id/nhsMhsPartyKey|A20047-821870&manufacturing-organization=https://fhir.nhs.uk/Id/ods-organization-code|X26"}],"entry":[{"fullUrl":"https://int.api.service.nhs.uk/spine-directory/FHIR/R4/Device/0E512499-E65C-4AE9-BEEC-224917FCDE94","resource":{"resourceType":"Device","id":"0E512499-E65C-4AE9-BEEC-224917FCDE94","identifier":[{"system":"https://fhir.nhs.uk/Id/nhsSpineASID","value":"200000000985"},{"system":"https://fhir.nhs.uk/Id/nhsMhsPartyKey","value":"A20047-821870"}],"extension":[{"url":"https://fhir.nhs.uk/StructureDefinition/Extension-SDS-ManufacturingOrganisation","valueReference":{"identifier":{"system":"https://fhir.nhs.uk/Id/ods-organization-code","value":"A20047"}}},{"url":"https://fhir.nhs.uk/StructureDefinition/Extension-SDS-NhsServiceInteractionId","valueReference":{"identifier":{"system":"https://fhir.nhs.uk/Id/nhsServiceInteractionId","value":"urn:nhs:names:services:gpconnect:fhir:operation:gpc.getcarerecord"}}},{"url":"https://fhir.nhs.uk/StructureDefinition/Extension-SDS-NhsServiceInteractionId","valueReference":{"identifier":{"system":"https://fhir.nhs.uk/Id/nhsServiceInteractionId","value":"urn:nhs:names:services:gpconnect:fhir:rest:read:location"}}}],"owner":{"identifier":{"system":"https://fhir.nhs.uk/Id/ods-organization-code","value":"A20047"}}},"search":{"mode":"match"}}]}}}},"400":{"description":"Missing or invalid query parameter(s)."},"404":{"description":"Invalid endpoint path"},"405":{"description":"Unsupported HTTP method. For this endpoint only GET is available"},"406":{"description":"Unsupported media type"},"500":{"description":"Unhandled internal server error"},"502":{"description":"Upstream LDAP returned an unsupported responses"},"504":{"description":"Upstream LDAP server request has timed out"}}}},"/Endpoint":{"get":{"summary":"Get routing and reliability details","operationId":"getEndpoint","description":"# Overview\nUse this endpoint to get accredited systems routing and reliability information in SDS.\n\nThis endpoint should return all matching routing and reliability objects which provides the following information:\n  * Endpoint Service ID\n  * Message Handling System Party Key\n  * Accredited System ID\n  * Endpoint URL\n  * Fully Qualified Domain Name of the Message Handling System\n\nFollowing combinations of query parameters are supported:\n  * organisation code, service identifier, party key\n  * organisation code, party key\n  * organisation code, service Identifier\n  * service identifier, party key\n","parameters":[{"in":"query","name":"organization","description":"The organisation code for the NHS Spine instance that your Message Handling System is communicating with. Must be preceded with FHIR identifier.","required":false,"schema":{"type":"string"},"example":"https://fhir.nhs.uk/Id/ods-organization-code|YES"},{"in":"query","name":"identifier","description":"The service that is being contacted and the action that is required, or the MHS Party Key (or both, as separate occurrences of this parameter). See the Data section in this API Specification document for more information.","required":true,"schema":{"type":"array","items":{"type":"string"}},"examples":{"nhsServiceInteractionId":{"summary":"Service identifier consisting of https://fhir.nhs.uk/Id/nhsServiceInteractionId only","value":["https://fhir.nhs.uk/Id/nhsServiceInteractionId|urn:nhs:names:services:psis:REPC_IN150016UK05"]},"nhsServiceInteractionIdAndMhsPartyKey":{"summary":"Service identifier consisting of both https://fhir.nhs.uk/Id/nhsServiceInteractionId and https://fhir.nhs.uk/Id/nhsMhsPartyKey","value":["https://fhir.nhs.uk/Id/nhsServiceInteractionId|urn:nhs:names:services:psis:REPC_IN150016UK05","https://fhir.nhs.uk/Id/nhsMhsPartyKey|YES-0000806"]}},"explode":true},{"in":"header","name":"X-Correlation-Id","description":"UUID for request tracking","schema":{"type":"string","format":"uuid"},"required":false,"example":"6d3d3674-7ce5-11ec-90d6-0242ac120003"},{"in":"header","name":"apikey","description":"API key to authenticate with. Use any value for Sandbox environment.","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Valid request that returns all accredited systems found that match the search criteria (which may be 0).","content":{"application/fhir+json":{"schema":{"type":"object","description":"A FHIR Bundle with Endpoint resources","properties":{"resourceType":{"type":"string","default":"Bundle"},"id":{"type":"string","description":"Unique identifier for this search request.","format":"uuid"},"type":{"type":"string","default":"searchset"},"total":{"type":"integer"},"link":{"type":"array","items":{"type":"object","properties":{"relation":{"type":"string","default":"self"},"url":{"type":"string","description":"The full url that produced the data"}}}},"entry":{"type":"array","items":{"type":"object","properties":{"fullUrl":{"type":"string","description":"Full url of the resource"},"resource":{"type":"object","description":"A FHIR Enpoint resource that include routing and reliability information for the accredited system","properties":{"resourceType":{"type":"string","default":"Endpoint"},"id":{"type":"string","description":"SDS’s unique identifier for this accredited system record.","format":"uuid"},"status":{"type":"string","default":"active","enum":["active"]},"connectionType":{"type":"object","description":"Protocol/Profile/Standard to be used with this endpoint connection","properties":{"system":{"type":"string"},"code":{"type":"string"},"display":{"type":"string"}}},"payloadType":{"type":"array","description":"The type of content that may be used at this endpoint (e.g. XDS Discharge summaries)","items":{"type":"object","properties":{"coding":{"type":"array","items":{"type":"object","properties":{"system":{"type":"string"},"code":{"type":"string"},"display":{"type":"string"}}}}}}},"address":{"type":"string","description":"The base URL for connecting to this endpoint"},"managingOrganization":{"type":"object","description":"Organization that manages this endpoint (might not be the organization that exposes the endpoint)","properties":{"identifier":{"type":"object","properties":{"system":{"type":"string"},"value":{"type":"string"}}}}},"identifier":{"type":"array","description":"Identifies this endpoint across multiple systems","items":{"type":"object","properties":{"system":{"type":"string"},"value":{"type":"string"}}}},"extension":{"type":"array","description":"Additional content defined by implementations","items":{"type":"object","properties":{"url":{"type":"string"},"extension":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"valueString":{"type":"string"}}}}}}}}},"search":{"type":"object","description":"Search operation description","properties":{"mode":{"type":"string","default":"match"}}}}}}}},"example":{"resourceType":"Bundle","id":"BAD2C148-6353-40A6-A215-33222EED2E11","type":"searchset","total":1,"link":[{"relation":"self","url":"https://int.api.service.nhs.uk/spine-directory/FHIR/R4/Endpoint?organization=https://fhir.nhs.uk/Id/ods-organization-code|YES&identifier=https://fhir.nhs.uk/Id/nhsServiceInteractionId|urn:nhs:names:services:psis:REPC_IN150016UK05&identifier=https://fhir.nhs.uk/Id/nhsMhsPartyKeey|A20047-821870"}],"entry":[{"fullUrl":"https://int.api.service.nhs.uk/spine-directory/FHIR/R4/Endpoint/08CE3BFB-5055-422B-9AE5-80DF6F4E1C61","resource":{"resourceType":"Endpoint","id":"08CE3BFB-5055-422B-9AE5-80DF6F4E1C61","status":"active","connectionType":{"system":"http://terminology.hl7.org/CodeSystem/endpoint-connection-type","code":"hl7-fhir-msg","display":"HL7 FHIR Messaging"},"payloadType":[{"coding":[{"system":"http://terminology.hl7.org/CodeSystem/endpoint-payload-type","code":"any","display":"Any"}]}],"address":"https://msg.int.spine2.ncrs.nhs.uk/reliablemessaging/reliablerequest","managingOrganization":{"identifier":{"system":"https://fhir.nhs.uk/Id/ods-organization-code","value":true}},"identifier":[{"system":"https://fhir.nhs.uk/Id/nhsMhsFQDN","value":"msg.int.spine2.ncrs.nhs.uk"},{"system":"https://fhir.nhs.uk/Id/nhsMhsPartyKey","value":"YES-0000806"},{"system":"https://fhir.nhs.uk/Id/nhsMhsCPAId","value":"S20001A000182"},{"system":"https://fhir.nhs.uk/Id/nhsMHSId","value":"S20001A000182"}],"extension":[{"url":"https://fhir.nhs.uk/StructureDefinition/Extension-SDS-ReliabilityConfiguration","extension":[{"url":"nhsMHSSyncReplyMode","valueString":"MSHSignalsOnly"},{"url":"nhsMHSRetryInterval","valueString":"PT1M"},{"url":"nhsMHSRetries","valueInteger":2},{"url":"nhsMHSPersistDuration","valueString":"PT5M"},{"url":"nhsMHSDuplicateElimination","valueString":"always"},{"url":"nhsMHSAckRequested","valueString":"always"},{"url":"nhsMHSActor","valueString":"urn:oasis:names:tc:ebxml-msg:actor:toPartyMSH"}]},{"url":"https://fhir.nhs.uk/StructureDefinition/Extension-SDS-NhsServiceInteractionId","valueReference":{"identifier":{"system":"https://fhir.nhs.uk/Id/nhsServiceInteractionId","value":"urn:nhs:names:services:psis:REPC_IN150016UK05"}}}]},"search":{"mode":"match"}}]}}}},"400":{"description":"Missing or invalid query parameter(s)."},"404":{"description":"Invalid endpoint path"},"405":{"description":"Unsupported HTTP method. For this endpoint only GET is available"},"406":{"description":"Unsupported media type"},"500":{"description":"Unhandled internal server error"},"502":{"description":"Upstream LDAP returned an unsupported responses"},"504":{"description":"Upstream LDAP server request has timed out"}}}}},"components":{"schemas":{"DeviceBundle":{"type":"object","properties":{"resourceType":{"type":"string","default":"Bundle"},"id":{"type":"string","description":"Unique identifier for this search request.","format":"uuid"},"type":{"type":"string","default":"searchset"},"total":{"type":"integer"},"link":{"type":"array","items":{"type":"object","properties":{"relation":{"type":"string","default":"self"},"url":{"type":"string","description":"The full url that produced the data"}}}},"entry":{"type":"array","items":{"type":"object","properties":{"fullUrl":{"type":"string","description":"Full url of the resource"},"resource":{"type":"object","description":"A FHIR Device resource information for the accredited system","properties":{"resourceType":{"type":"string","default":"Device"},"id":{"type":"string","description":"SDS’s unique identifier for this accredited system record.","format":"uuid","example":"F0F0E921-92CA-4A88-A550-2DBB36F703AF"},"identifier":{"type":"array","description":"Identifies this device across multiple systems","items":{"type":"object","properties":{"system":{"type":"string"},"value":{"type":"string"}}}},"extension":{"type":"array","description":"Additional content defined by implementations","items":{"type":"object","properties":{"url":{"type":"string"},"valueReference":{"type":"object","properties":{"identifier":{"type":"object","properties":{"system":{"type":"string"},"value":{"type":"string"}}}}}}}},"owner":{"type":"object","description":"Manufacturer's organisation details","properties":{"identifier":{"type":"object","properties":{"system":{"type":"string"},"value":{"type":"string"}}},"display":{"type":"string"}}}}},"search":{"type":"object","description":"Search operation description","properties":{"mode":{"type":"string","default":"match"}}}}}}}},"Device":{"type":"object","description":"A FHIR Device resource information for the accredited system","properties":{"resourceType":{"type":"string","default":"Device"},"id":{"type":"string","description":"SDS’s unique identifier for this accredited system record.","format":"uuid","example":"F0F0E921-92CA-4A88-A550-2DBB36F703AF"},"identifier":{"type":"array","description":"Identifies this device across multiple systems","items":{"type":"object","properties":{"system":{"type":"string"},"value":{"type":"string"}}}},"extension":{"type":"array","description":"Additional content defined by implementations","items":{"type":"object","properties":{"url":{"type":"string"},"valueReference":{"type":"object","properties":{"identifier":{"type":"object","properties":{"system":{"type":"string"},"value":{"type":"string"}}}}}}}},"owner":{"type":"object","description":"Manufacturer's organisation details","properties":{"identifier":{"type":"object","properties":{"system":{"type":"string"},"value":{"type":"string"}}},"display":{"type":"string"}}}}},"EndpointBundle":{"type":"object","description":"A FHIR Bundle with Endpoint resources","properties":{"resourceType":{"type":"string","default":"Bundle"},"id":{"type":"string","description":"Unique identifier for this search request.","format":"uuid"},"type":{"type":"string","default":"searchset"},"total":{"type":"integer"},"link":{"type":"array","items":{"type":"object","properties":{"relation":{"type":"string","default":"self"},"url":{"type":"string","description":"The full url that produced the data"}}}},"entry":{"type":"array","items":{"type":"object","properties":{"fullUrl":{"type":"string","description":"Full url of the resource"},"resource":{"type":"object","description":"A FHIR Enpoint resource that include routing and reliability information for the accredited system","properties":{"resourceType":{"type":"string","default":"Endpoint"},"id":{"type":"string","description":"SDS’s unique identifier for this accredited system record.","format":"uuid"},"status":{"type":"string","default":"active","enum":["active"]},"connectionType":{"type":"object","description":"Protocol/Profile/Standard to be used with this endpoint connection","properties":{"system":{"type":"string"},"code":{"type":"string"},"display":{"type":"string"}}},"payloadType":{"type":"array","description":"The type of content that may be used at this endpoint (e.g. XDS Discharge summaries)","items":{"type":"object","properties":{"coding":{"type":"array","items":{"type":"object","properties":{"system":{"type":"string"},"code":{"type":"string"},"display":{"type":"string"}}}}}}},"address":{"type":"string","description":"The base URL for connecting to this endpoint"},"managingOrganization":{"type":"object","description":"Organization that manages this endpoint (might not be the organization that exposes the endpoint)","properties":{"identifier":{"type":"object","properties":{"system":{"type":"string"},"value":{"type":"string"}}}}},"identifier":{"type":"array","description":"Identifies this endpoint across multiple systems","items":{"type":"object","properties":{"system":{"type":"string"},"value":{"type":"string"}}}},"extension":{"type":"array","description":"Additional content defined by implementations","items":{"type":"object","properties":{"url":{"type":"string"},"extension":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"valueString":{"type":"string"}}}}}}}}},"search":{"type":"object","description":"Search operation description","properties":{"mode":{"type":"string","default":"match"}}}}}}}},"Endpoint":{"type":"object","description":"A FHIR Enpoint resource that include routing and reliability information for the accredited system","properties":{"resourceType":{"type":"string","default":"Endpoint"},"id":{"type":"string","description":"SDS’s unique identifier for this accredited system record.","format":"uuid"},"status":{"type":"string","default":"active","enum":["active"]},"connectionType":{"type":"object","description":"Protocol/Profile/Standard to be used with this endpoint connection","properties":{"system":{"type":"string"},"code":{"type":"string"},"display":{"type":"string"}}},"payloadType":{"type":"array","description":"The type of content that may be used at this endpoint (e.g. XDS Discharge summaries)","items":{"type":"object","properties":{"coding":{"type":"array","items":{"type":"object","properties":{"system":{"type":"string"},"code":{"type":"string"},"display":{"type":"string"}}}}}}},"address":{"type":"string","description":"The base URL for connecting to this endpoint"},"managingOrganization":{"type":"object","description":"Organization that manages this endpoint (might not be the organization that exposes the endpoint)","properties":{"identifier":{"type":"object","properties":{"system":{"type":"string"},"value":{"type":"string"}}}}},"identifier":{"type":"array","description":"Identifies this endpoint across multiple systems","items":{"type":"object","properties":{"system":{"type":"string"},"value":{"type":"string"}}}},"extension":{"type":"array","description":"Additional content defined by implementations","items":{"type":"object","properties":{"url":{"type":"string"},"extension":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"valueString":{"type":"string"}}}}}}}}}}}}